"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDomains = void 0;
var route53 = require("@aws-cdk/aws-route53");
function createDomains(stack, props) {
    var _a, _b;
    var refZones = ((_a = props.refDomains) === null || _a === void 0 ? void 0 : _a.map(function (d) {
        return route53.PublicHostedZone.fromLookup(stack, "ref-" + d.split('.').join('-'), {
            domainName: d,
        });
    })) || [];
    var newDomains = ((_b = props.newDomains) === null || _b === void 0 ? void 0 : _b.map(function (d) {
        return new route53.PublicHostedZone(stack, d.split('.').join('-'), {
            zoneName: d,
        });
    })) || [];
    return refZones.concat(newDomains);
}
exports.createDomains = createDomains;
//# sourceMappingURL=create-domains.js.map